Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlaset

    java.lang.Object
      org.netlib.lapack.Dlaset

    public class Dlaset

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLASET initializes an m-by-n matrix A to BETA on the diagonal and
     *  ALPHA on the offdiagonals.
     *
     *  Arguments
     *  =========
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies the part of the matrix A to be set.
     *          = 'U':      Upper triangular part is set; the strictly lower

     *                      triangular part of A is not changed.
     *          = 'L':      Lower triangular part is set; the strictly upper

     *                      triangular part of A is not changed.
     *          Otherwise:  All of the matrix A is set.
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix A.  M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix A.  N >= 0.
     *
     *  ALPHA   (input) DOUBLE PRECISION
     *          The constant to which the offdiagonal elements are to be set.
     *
     *  BETA    (input) DOUBLE PRECISION
     *          The constant to which the diagonal elements are to be set.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
     *          On exit, the leading m-by-n submatrix of A is set as follows:
     *
     *          if UPLO = 'U', A(i,j) = ALPHA, 1<=i<=j-1, 1<=j<=n,
     *          if UPLO = 'L', A(i,j) = ALPHA, j+1<=i<=m, 1<=j<=n,
     *          otherwise,     A(i,j) = ALPHA, 1<=i<=m, 1<=j<=n, i.ne.j,
     *
     *          and, for all UPLO, A(i,i) = BETA, 1<=i<=min(m,n).
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,M).
     *
     * =====================================================================

     *
     *     .. Local Scalars ..

Constructor Summary
`Dlaset()`

Method Summary
`static void` | `dlaset(java.lang.String uplo, int m, int n, double alpha, double beta, double[] a, int _a_offset, int lda)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlaset

    public Dlaset()

Method Detail

### dlaset

    public static void dlaset(java.lang.String uplo,
                              int m,
                              int n,
                              double alpha,
                              double beta,
                              double[] a,
                              int _a_offset,
                              int lda)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD